.. _vim.vm.device.VirtualDeviceSpec: ../../../../vim/vm/device/VirtualDeviceSpec.rst

.. _vim.vm.device.VirtualDeviceSpec.Operation: ../../../../vim/vm/device/VirtualDeviceSpec/Operation.rst

vim.vm.device.VirtualDeviceSpec.Operation
=========================================
  The type of operation being performed on the specified virtual device. Valid values are:
  :contained by: `vim.vm.device.VirtualDeviceSpec`_

  :type: `vim.vm.device.VirtualDeviceSpec.Operation`_

  :name: edit

values:
--------

edit
   Specifies changes to the virtual device specification.

add
   Specifies the addition of a virtual device to the configuration.

remove
   Specifies the removal of a virtual device.
